curl --request POST \
--url https://auth.runtools.ai/v1/langterm-connections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"connectionType": "ssh",
"sandboxId": "<string>",
"host": "<string>",
"port": 123,
"username": "<string>",
"authType": "password",
"password": "<string>",
"privateKey": "<string>",
"passphrase": "<string>",
"notes": "<string>"
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"connectionType": "ssh",
"sandboxId": "<string>",
"host": "<string>",
"port": 123,
"username": "<string>",
"authType": "password",
"notes": "<string>",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}curl --request POST \
--url https://auth.runtools.ai/v1/langterm-connections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"connectionType": "ssh",
"sandboxId": "<string>",
"host": "<string>",
"port": 123,
"username": "<string>",
"authType": "password",
"password": "<string>",
"privateKey": "<string>",
"passphrase": "<string>",
"notes": "<string>"
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"connectionType": "ssh",
"sandboxId": "<string>",
"host": "<string>",
"port": 123,
"username": "<string>",
"authType": "password",
"notes": "<string>",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.runtools.ai/llms.txt
Use this file to discover all available pages before exploring further.
WorkOS session token or RunTools API key (rt_live_* / rt_test_*).
Used in Authorization: Bearer <token> header.
Created.
Show child attributes